## libtest-www-declare-perl 0.02

=== debian/changelog ===
libtest-www-declare-perl (0.02-7) unstable; urgency=medium

  * Add explicit runtime dependency on libhttp-server-simple-perl.
    Thanks to ci.debian.net.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.
  * Update alternative test dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Update lintian override (formatting).

 -- gregor herrmann <gregoa@debian.org>  Wed, 28 Dec 2022 20:23:57 +0100

libtest-www-declare-perl (0.02-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 19:41:31 +0000

libtest-www-declare-perl (0.02-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Rene Mayorga from Uploaders. Thanks for your work!
  * Remove AGOSTINI Yves from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Add missing build dependency on libmodule-install-perl.

  [ gregor herrmann ]
  * Update lintian overrides for renamed tags.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 19:45:48 +0100

libtest-www-declare-perl (0.02-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:46:19 +0200

libtest-www-declare-perl (0.02-4) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Update Test::Tester build dependency.

  [ Lucas Kanashiro ]
  * Add d/u/metadata
  * Add email of upstream contact in d/copyright
  * Bump debhelper compatibility level to 9
  * Declare compliance with Debian policy 3.9.6
  * Reorganize build dependencies. Depends on Perl versioned first of all.
  * Mark package as autopkgtestable
  * Override lintian, wrong spelling error in manpage

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Wed, 30 Dec 2015 18:05:14 -0200

libtest-www-declare-perl (0.02-3) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Patch t/11-nested-flow-error.t to work with Carp 1.25.
    (Closes: #711618)
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Jun 2013 22:45:20 +0200

libtest-www-declare-perl (0.02-2) unstable; urgency=medium

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * Use tiny debian/rules, and unset http_proxy for tests.
  * Switch to source format 3.0 (quilt).
  * Add patch perl_re.patch to handle changes in regexp stringification in
    perl 5.14. (Closes: #636271)
  * Switch to debhelper compatibility level 8.
  * Set Standards-Version to 3.9.2. remove version from perl build
    dependency.
  * Add /me to Uploaders.
  * debian/copyright: update formatting.
  * Fix hashbang in example script.
  * Set urgency to medium (RC bug, perl 5.14 transition).

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Nov 2011 00:07:07 +0100

libtest-www-declare-perl (0.02-1) unstable; urgency=low

  [ Rene Mayorga ]
  * New upstream release
  * raise debhelper and compat level to 7
  * debian/control
    + Set Standards-Version to 3.8.0 (no changes needed)
    + refer to module name at long description
    + Move perl from B-D-I to B-D
    + add myself to uploaders
  * debian/rules - use dh7 with the help of dh-make-perl -R
  * debian/copyright
    + refresh upstream's copyright year
    + Add copyright info about included Module::Install
    + update proposal format

  [ gregor herrmann ]
  * Make build dependency on libhttp-server-simple-perl versioned.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 21 Jan 2009 17:30:33 -0600

libtest-www-declare-perl (0.01-1) unstable; urgency=low

  * Initial Release (Closes: #477499)

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Wed, 23 Apr 2008 15:21:16 +0200
