=== debian/control ===
Source: libtest-www-declare-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-install-perl,
               perl
Build-Depends-Indep: libhttp-server-simple-perl <!nocheck>,
                     libtest-simple-perl <!nocheck>,
                     libtest-www-mechanize-perl <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtest-www-declare-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtest-www-declare-perl.git
Homepage: https://metacpan.org/release/Test-WWW-Declare
Rules-Requires-Root: no

Package: libtest-www-declare-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libhttp-server-simple-perl,
         libtest-www-mechanize-perl
Description: declarative testing module for web apps
 Often in web apps, tests are very dependent on the state set up by previous
 tests. If one test fails (e.g. "follow the link to the admin page") then it's
 likely there will be many more failures. Test::WWW::Declare aims to alleviate
 this problem, as well as provide a nicer interface to Test::WWW::Mechanize.
 .
 The central idea is that of "flow". Each flow is a sequence of commands ("fill
 in this form") and assertions ("content should contain 'testuser'"). If any of
 these commands or assertions fail then the flow is aborted. Only that one
 failure is reported to the test harness and user. Flows may also contain other
 flows. If an inner flow fails, then the outer flow fails as well.
