=== debian/watch ===
version=4
https://metacpan.org/release/Test-WWW-Declare   .*/Test-WWW-Declare-v?@ANY_VERSION@@ARCHIVE_EXT@$
